import { Git } from '../../util/Git'
import * as assert from 'power-assert'
import * as path from 'path'
import * as spawn from 'cross-spawn'
describe('#util/Git', function () {
    it('#hasGit', function () {
        console.log(Git.hasGit)
    })
    it('#localGitUserInfo', function () {
        let res = Git.localGitUserInfo();
        console.log(res);
    })
    it('#pull', function () {
        this.skip()
        let url = 'https://git.allhome.com.cn/Platform/UPA/UPA_QJCLI/UPA_QJCLI_template_Vue2.git';
        const dir = path.join(__dirname, 'abc');
        const git = new Git(url, dir);
        git.pull();
    })
    it('#push', function () {
        this.skip();
        let url = 'git@git.allhome.com.cn:Platform/UPA/UPA_QJCLI/UPA_test.git';
        const dir = path.join(__dirname, 'abc');
        const git = new Git(url, dir);
        let res = git.push();
        assert.ok(res);
    })
})