/**
 * @date 2019.12.16
 * @author panyanan
 * @information 框架模板配置文件
 */
export interface Template {
    readonly name: string, // 模板名称
    readonly desc: string, // 模板描述
    readonly repo: string, // 模板仓库信息
}
export const Templates: Template[] =  [
    { name: 'vue2', desc: '千家vue2项目模板,对接了组件库/标准库/用户操作埋点', repo: 'https://git.allhome.com.cn/Platform/UPA/UPA_QJCLI/UPA_QJCLI_template_Vue2.git' },
    // todo other template
];
/**
 * @date 2019.12.16
 * @author panyanan
 * @information 是否是正确的模板名称
 * @param targetName 
 */
export function hasTemplate(targetName: string): boolean {
    return Templates.some(({ name }) => name.toLowerCase() === targetName.toLocaleLowerCase());
}
